Skip to main content
`Ctrl`+`K`

# PetscLogDump

Dumps logs of objects to a file. This file is intended to be read by bin/petscview. This program no longer exists.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogDump(const char sname[])

Collective on `PETSC_COMM_WORLD`

## Input Parameter

- sname - an optional file name

## Example Usage

      PetscInitialize(...);
      PetscLogDefaultBegin();
      // ... code ...
      PetscLogDump(filename);
      PetscFinalize();

## Note

The default file name is Log. where is the MPI process rank. If no name is specified, this file will be used.

## See Also

Profiling, `PetscLogDefaultBegin()`, `PetscLogView()`, `PetscLogGetDefaultHandler()`

## Level

advanced

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages